#include<bits/stdc++.h>
using namespace std;
const int N = 1e6 + 10;
char st[N];
int cnt[30];
int main(){
	freopen("swap.in", "r", stdin);
	freopen("swap.out", "w", stdout);
	scanf("%s", st + 1);
	int len = strlen(st + 1);
	for(int i = 1; i <= len; i++)
		cnt[st[i] - 'a']++;
	long long ans = 0;
	for(int i = 0; i <= 25; i++)
		for(int j = i + 1; j <= 25; j++)
			ans += cnt[i] * cnt[j];
	long long flag = 0;
	for(int i = 0; i <= 25; i++){//是否存在某个字符超过1个
		if(cnt[i] > 1) {
			flag = 1;
			break;
		}
	}
	printf("%lld\n", ans + flag);
	return 0;
}
